> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all bookings given a filter

> Get all bookings given a filter



## OpenAPI

````yaml get /bookings
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /bookings:
    get:
      tags:
        - Bookings
      summary: Get all bookings given a filter
      description: Get all bookings given a filter
      operationId: getBookings
      parameters:
        - name: event_id
          in: query
          description: Event ID
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Limit of bookings to retrieve
          required: false
          schema:
            type: number
        - name: offset
          in: query
          description: Offset of bookings to retrieve
          required: false
          schema:
            type: number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Booking'
                  success:
                    type: boolean
                    example: true
        '403':
          description: You are not authorized to access this resource
      security:
        - ApiKey: []
components:
  schemas:
    Booking:
      type: object
      description: Booking
      properties:
        _id:
          type: string
          description: ID of the booking
          example: 5f8e1b9b9d9e4b0017b3b3a0
        organization_id:
          type: string
          description: Organization ID of the booking
          example: 5f8e1b9b9d9e4b0017b3b3a0
        channel_id:
          type: string
          description: Channel ID of the booking
          example: 5f8e1b9b9d9e4b0017b3b3a0
        referral_id:
          type: string
          description: Referral ID of the booking
          example: 5f8e1b9b9d9e4b0017b3b3a0
        status:
          type: string
          description: Status of the booking
          enum:
            - pending
            - filled-by-client
            - cancelled-by-client
            - rejected
            - accepted
            - arrived
            - arrived-partial
            - seated
            - seated-partial
            - released
            - no-show
            - to-review
            - not-completed
          example: accepted
        quantity:
          type: integer
          description: Quantity of people in the booking
          example: 10
        full_name:
          type: string
          description: Full name of the booking
          example: John Doe
        email:
          type: string
          description: Email of the booking
          example: john.doe@example.com
        phone:
          type: string
          description: Phone of the booking
          example: '1234567890'
        deposit:
          type: number
          description: Deposit of the booking
          example: 100
        fee_type:
          type: string
          example: percentage
          enum:
            - percentage
            - fixed
        fee_quantity:
          type: number
          example: 7
          description: >-
            Fee quantity of the booking. For percentage fee type, it's the
            percentage. For fixed fee type, it's the fixed amount.
        qr_code:
          type: string
          description: QR code of the booking
          example: ABCDE12345
        activation_code:
          type: string
          description: Activation code of the booking
          example: ABCDEFGH12345678
        observations_referral:
          type: string
          description: Observations of the referral
          example: This is a referral
        observations_client:
          type: string
          description: Observations of the client
          example: Please give me a good table
        payment_id:
          type: string
          description: Payment ID of the booking
          example: pay_1234567890
        marketing_consent:
          type: boolean
          description: If the booking has marketing consent
          example: true
        billing_info:
          type: object
          description: Billing information of the booking
          properties:
            customer_type:
              type: string
              enum:
                - individual
                - company
              description: Type of customer
              example: individual
            customer_name:
              type: string
              description: Full name or company name for billing
              example: John Doe
            document_type:
              type: string
              enum:
                - dni
                - nie
                - passport
                - other
              description: Type of identification document
              example: dni
            document_number:
              type: string
              description: Identification document number
              example: 12345678Z
            address:
              type: string
              description: Billing address
              example: 123 Main St
            city:
              type: string
              description: Billing city
              example: Barcelona
            postal_code:
              type: string
              description: Billing postal code
              example: '08001'
            country:
              type: string
              description: Billing country
              example: ES
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````